%global git_date  20250211
%global git_hash  f239e5a
%global git_ver  0.7.2

%global rel  1
%global src_name  %{name}-%{git_date}-%{git_hash}.tar.xz

Name:     aquamarine
Version:  %{git_ver}^%{git_date}g%{git_hash}
Release:  %{rel}%{?dist}
Summary:  Aquamarine is a very light linux rendering backend library
License:  BSD-3-Clause
URL:      https://github.com/hyprwm/aquamarine
Source:   %{url}/%{src_name}


BuildRequires:  gcc-c++ make cmake
BuildRequires:  pkgconfig(opengl)
BuildRequires:  pkgconfig(hyprwayland-scanner)
BuildRequires:  pkgconfig(libseat)
BuildRequires:  pkgconfig(libinput)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(hyprutils)
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(libdisplay-info)
BuildRequires:  pkgconfig(hwdata)


%description
Aquamarine is a very light linux rendering backend library. It provides basic abstractions for an application to render on a Wayland session (in a window) or a native DRM session.

It is agnostic of the rendering API (Vulkan/OpenGL) and designed to be lightweight, performant, and minimal.

Aquamarine provides no bindings for other languages. It is C++-only.

%package devel
Summary:  devel files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
%summary
%prep
%autosetup -n %{name}

%build
%cmake
%cmake_build


%install
%cmake_install


%files
%doc README.md
%license LICENSE
%{_libdir}/lib%{name}.so.*

%files devel
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*


%changelog
%autochangelog
